Winevt.EVT_CHANNEL_CONFIG_PROPERTY_ID (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winevt, interface: EVT_CHANNEL_CONFIG_PROPERTY_ID

Package com.sun.jna.platform.win32

# Interface Winevt.EVT_CHANNEL_CONFIG_PROPERTY_ID

Enclosing interface:
  Winevt

public static interface Winevt.EVT_CHANNEL_CONFIG_PROPERTY_ID
Defines the identifiers that identify the configuration properties of a channel. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385499(v=vs.85).aspx

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EvtChannelConfigAccess`
  Identifies the access attribute of the channel.
  `static final int`
  `EvtChannelConfigClassicEventlog`
  Identifies the configuration property that indicates whether the channel is a classic event channel (for example the Application or System log).
  `static final int`
  `EvtChannelConfigEnabled`
  Identifies the enabled attribute of the channel.
  `static final int`
  `EvtChannelConfigIsolation`
  Identifies the isolation attribute of the channel.
  `static final int`
  `EvtChannelConfigOwningPublisher`
  Identifies the name attribute of the provider that defined the channel.
  `static final int`
  `EvtChannelConfigPropertyIdEND`
  This enumeration value marks the end of the enumeration values.
  `static final int`
  `EvtChannelConfigType`
  Identifies the type attribute of the channel.
  `static final int`
  `EvtChannelLoggingConfigAutoBackup`
  Identifies the autoBackup logging attribute of the channel.
  `static final int`
  `EvtChannelLoggingConfigLogFilePath`
  Identifies the configuration property that contains the path to the file that backs the channel.
  `static final int`
  `EvtChannelLoggingConfigMaxSize`
  Identifies the maxSize logging attribute of the channel.
  `static final int`
  `EvtChannelLoggingConfigRetention`
  Identifies the retention logging attribute of the channel.
  `static final int`
  `EvtChannelPublisherList`
  Identifies the configuration property that contains the list of providers that import this channel.
  `static final int`
  `EvtChannelPublishingConfigBufferSize`
  Identifies the bufferSize publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigClockType`
  Identifies the clockType publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigControlGuid`
  Identifies the controlGuid publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigFileMax`
  Identifies the fileMax publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigKeywords`
  Identifies the keywords publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigLatency`
  Identifies the latency publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigLevel`
  Identifies the level publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigMaxBuffers`
  Identifies the maxBuffers publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigMinBuffers`
  Identifies the minBuffers publishing attribute of the channel.
  `static final int`
  `EvtChannelPublishingConfigSidType`
  Identifies the sidType publishing attribute of the channel.

- ## Field Details

  - ### EvtChannelConfigEnabled

    static final int EvtChannelConfigEnabled
    Identifies the enabled attribute of the channel. The variant type for this property is EvtVarTypeBoolean. You cannot set this property for the Application, System, and Security channels.
    See Also:
      - Constant Field Values

  - ### EvtChannelConfigIsolation

    static final int EvtChannelConfigIsolation
    Identifies the isolation attribute of the channel. The variant type for this property is EvtVarTypeUInt32. For possible isolation values, see the `Winevt.EVT_CHANNEL_ISOLATION_TYPE` enumeration. You cannot set this property for the Application, System, and Security channels.
    See Also:
      - Constant Field Values

  - ### EvtChannelConfigType

    static final int EvtChannelConfigType
    Identifies the type attribute of the channel. The variant type for this property is EvtVarTypeUInt32. For possible isolation values, see the `Winevt.EVT_CHANNEL_TYPE` enumeration. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelConfigOwningPublisher

    static final int EvtChannelConfigOwningPublisher
    Identifies the name attribute of the provider that defined the channel. The variant type for this property is EvtVarTypeString. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelConfigClassicEventlog

    static final int EvtChannelConfigClassicEventlog
    Identifies the configuration property that indicates whether the channel is a classic event channel (for example the Application or System log). The variant type for this property is EvtVarTypeBoolean. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelConfigAccess

    static final int EvtChannelConfigAccess
    Identifies the access attribute of the channel. The variant type for this property is EvtVarTypeString.
    See Also:
      - Constant Field Values

  - ### EvtChannelLoggingConfigRetention

    static final int EvtChannelLoggingConfigRetention
    Identifies the retention logging attribute of the channel. The variant type for this property is EvtVarTypeBoolean.
    See Also:
      - Constant Field Values

  - ### EvtChannelLoggingConfigAutoBackup

    static final int EvtChannelLoggingConfigAutoBackup
    Identifies the autoBackup logging attribute of the channel. The variant type for this property is EvtVarTypeBoolean.
    See Also:
      - Constant Field Values

  - ### EvtChannelLoggingConfigMaxSize

    static final int EvtChannelLoggingConfigMaxSize
    Identifies the maxSize logging attribute of the channel. The variant type for this property is EvtVarTypeUInt64.
    See Also:
      - Constant Field Values

  - ### EvtChannelLoggingConfigLogFilePath

    static final int EvtChannelLoggingConfigLogFilePath
    Identifies the configuration property that contains the path to the file that backs the channel. The variant type for this property is EvtVarTypeString.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigLevel

    static final int EvtChannelPublishingConfigLevel
    Identifies the level publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32. To set this property, you must first disable the debug or analytic channel.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigKeywords

    static final int EvtChannelPublishingConfigKeywords
    Identifies the keywords publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt64. To set this property, you must first disable the debug or analytic channel.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigControlGuid

    static final int EvtChannelPublishingConfigControlGuid
    Identifies the controlGuid publishing attribute of the channel. The variant type for this property is EvtVarTypeGuid. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigBufferSize

    static final int EvtChannelPublishingConfigBufferSize
    Identifies the bufferSize publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigMinBuffers

    static final int EvtChannelPublishingConfigMinBuffers
    Identifies the minBuffers publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigMaxBuffers

    static final int EvtChannelPublishingConfigMaxBuffers
    Identifies the maxBuffers publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigLatency

    static final int EvtChannelPublishingConfigLatency
    Identifies the latency publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigClockType

    static final int EvtChannelPublishingConfigClockType
    Identifies the clockType publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32. For possible clock type values, see the `Winevt.EVT_CHANNEL_CLOCK_TYPE` enumeration. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigSidType

    static final int EvtChannelPublishingConfigSidType
    Identifies the sidType publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32. For possible SID type values, see the `Winevt.EVT_CHANNEL_SID_TYPE` enumeration. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublisherList

    static final int EvtChannelPublisherList
    Identifies the configuration property that contains the list of providers that import this channel. The variant type for this property is EvtVarTypeString | EVT_VARIANT_TYPE_ARRAY. You cannot set this property.
    See Also:
      - Constant Field Values

  - ### EvtChannelPublishingConfigFileMax

    static final int EvtChannelPublishingConfigFileMax
    Identifies the fileMax publishing attribute of the channel. The variant type for this property is EvtVarTypeUInt32.
    See Also:
      - Constant Field Values

  - ### EvtChannelConfigPropertyIdEND

    static final int EvtChannelConfigPropertyIdEND
    This enumeration value marks the end of the enumeration values.
    See Also:
      - Constant Field Values